"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ProgressStepperContent = exports.ProgressStepper = void 0;

var _react = _interopRequireDefault(require("react"));

var _ProgressStepper = require("./ProgressStepper");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

var _default = {
  title: "Examples"
};
exports.default = _default;

var TemplateNoContent = function TemplateNoContent(props) {
  var numberOfSteps = props.numberOfSteps;

  var _useStepper = (0, _ProgressStepper.useStepper)(0, numberOfSteps),
      step = _useStepper.step,
      incrementStep = _useStepper.incrementStep,
      decrementStep = _useStepper.decrementStep;

  var buttonStyle = function buttonStyle(type) {
    return {
      position: "fixed",
      left: "50%",
      bottom: "20px",
      transform: "translateX(calc(-50% ".concat(type === "prev" ? "- 100px" : "+ 100px", "))"),
      border: "0",
      padding: "12px 30px",
      borderRadius: "2.5em",
      background: props.dark ? type === "prev" ? "#1a1a1a" : "#19b6fe" : type === "prev" ? "#fff" : "#3c3fed",
      color: props.dark ? "#fff" : type === "prev" ? "#000" : "#fff",
      boxShadow: "0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24)",
      cursor: "pointer"
    };
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    style: {
      position: "absolute",
      left: "50%",
      top: "50%",
      transform: "translate(-50%, -50%)",
      width: "calc(100% - (20px))",
      height: "calc(100% - (20px))",
      background: props.dark ? "#000" : "#fff",
      padding: "20px",
      boxSizing: "border-box"
    }
  }, /*#__PURE__*/_react.default.createElement(_ProgressStepper.Stepper, _extends({}, props, {
    step: step
  }), _toConsumableArray(Array(numberOfSteps)).map(function (e, i) {
    return /*#__PURE__*/_react.default.createElement(_ProgressStepper.Step, null);
  })), /*#__PURE__*/_react.default.createElement("button", {
    onClick: decrementStep,
    style: buttonStyle("prev")
  }, "Prev"), /*#__PURE__*/_react.default.createElement("button", {
    onClick: incrementStep,
    style: buttonStyle("next")
  }, "Next"));
};

var TemplateContent = function TemplateContent(props) {
  var numberOfSteps = props.numberOfSteps;

  var _useStepper2 = (0, _ProgressStepper.useStepper)(0, numberOfSteps),
      step = _useStepper2.step,
      incrementStep = _useStepper2.incrementStep,
      decrementStep = _useStepper2.decrementStep;

  var buttonStyle = function buttonStyle(type) {
    return {
      position: "fixed",
      left: "50%",
      bottom: "40px",
      transform: "translateX(calc(-50% ".concat(type === "prev" ? "- 250px" : "+ 250px", "))"),
      border: "0",
      padding: "12px 30px",
      borderRadius: "2.5em",
      background: props.dark ? type === "prev" ? "#1a1a1a" : "#19b6fe" : type === "prev" ? "#fff" : "#3c3fed",
      color: props.dark ? "#fff" : type === "prev" ? "#000" : "#fff",
      boxShadow: "0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24)",
      cursor: "pointer"
    };
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    style: {
      position: "absolute",
      left: "50%",
      top: "50%",
      transform: "translate(-50%, -50%)",
      width: "calc(100% - (20px))",
      height: "calc(100% - (20px))",
      background: props.dark ? "#000" : "#fff",
      padding: "20px",
      boxSizing: "border-box"
    }
  }, /*#__PURE__*/_react.default.createElement(_ProgressStepper.Stepper, _extends({}, props, {
    step: step
  }), _toConsumableArray(Array(numberOfSteps)).map(function (e, i) {
    return /*#__PURE__*/_react.default.createElement(_ProgressStepper.Step, null, /*#__PURE__*/_react.default.createElement(_ProgressStepper.StepNumber, null), /*#__PURE__*/_react.default.createElement(_ProgressStepper.StepTitle, null, "Title"), /*#__PURE__*/_react.default.createElement(_ProgressStepper.StepStatus, null), /*#__PURE__*/_react.default.createElement(_ProgressStepper.StepDescription, null, "Description"));
  })), /*#__PURE__*/_react.default.createElement("button", {
    onClick: decrementStep,
    style: buttonStyle("prev")
  }, "Prev"), /*#__PURE__*/_react.default.createElement("button", {
    onClick: incrementStep,
    style: buttonStyle("next")
  }, "Next"));
};

var ProgressStepper = TemplateNoContent.bind({});
exports.ProgressStepper = ProgressStepper;
ProgressStepper.args = {
  numberOfSteps: 4,
  vertical: false,
  dark: false,
  numbered: true,
  theme: {
    light: {
      step: {
        pending: {
          background: "#ededed",
          color: "#a1a3a7"
        },
        progress: {
          background: "#3c3fed",
          color: "#ffffff"
        },
        completed: {
          background: "#23c275",
          color: "#ffffff"
        }
      },
      content: {
        pending: {
          stepNumber: {
            color: "#a1a3a7"
          },
          title: {
            color: "#a1a3a7"
          },
          status: {
            background: "#f2f2f2",
            color: "#a1a3a7"
          },
          description: {
            color: "#a1a3a7"
          }
        },
        progress: {
          stepNumber: {
            color: "#131b26"
          },
          title: {
            color: "#131b26"
          },
          status: {
            background: "#e7e9fd",
            color: "#3c3fed"
          },
          description: {
            color: "#131b26"
          }
        },
        completed: {
          stepNumber: {
            color: "#131b26"
          },
          title: {
            color: "#131b26"
          },
          status: {
            background: "#e9faf2",
            color: "#23c275"
          },
          description: {
            color: "#131b26"
          }
        }
      },
      progressBar: {
        pending: {
          background: "#ededed"
        },
        progress: {
          background: "#e7e9fd",
          fill: "#3c3fed"
        },
        completed: {
          background: "#e9faf2",
          fill: "#23c275"
        }
      }
    },
    dark: {
      step: {
        pending: {
          background: "#1a1a1a",
          color: "#767676"
        },
        progress: {
          background: "#19b6fe",
          color: "#ffffff"
        },
        completed: {
          background: "#23c275",
          color: "#ffffff"
        }
      },
      content: {
        pending: {
          stepNumber: {
            color: "#767676"
          },
          title: {
            color: "#767676"
          },
          status: {
            background: "#1a1a1a",
            color: "#767676"
          },
          description: {
            color: "#767676"
          }
        },
        progress: {
          stepNumber: {
            color: "#ece4d9"
          },
          title: {
            color: "#ece4d9"
          },
          status: {
            background: "#08374c",
            color: "#19b6fe"
          },
          description: {
            color: "#ece4d9"
          }
        },
        completed: {
          stepNumber: {
            color: "#ece4d9"
          },
          title: {
            color: "#ece4d9"
          },
          status: {
            background: "#0b3a23",
            color: "#23c275"
          },
          description: {
            color: "#ece4d9"
          }
        }
      },
      progressBar: {
        pending: {
          background: "#1a1a1a"
        },
        progress: {
          background: "#08374c",
          fill: "#19b6fe"
        },
        completed: {
          background: "#0b3a23",
          fill: "#23c275"
        }
      }
    }
  }
};
var ProgressStepperContent = TemplateContent.bind({});
exports.ProgressStepperContent = ProgressStepperContent;
ProgressStepperContent.args = {
  numberOfSteps: 3,
  vertical: false,
  dark: false,
  numbered: true,
  theme: {
    light: {
      step: {
        pending: {
          background: "#ededed",
          color: "#a1a3a7"
        },
        progress: {
          background: "#3c3fed",
          color: "#ffffff"
        },
        completed: {
          background: "#23c275",
          color: "#ffffff"
        }
      },
      content: {
        pending: {
          stepNumber: {
            color: "#a1a3a7"
          },
          title: {
            color: "#a1a3a7"
          },
          status: {
            background: "#f2f2f2",
            color: "#a1a3a7"
          },
          description: {
            color: "#a1a3a7"
          }
        },
        progress: {
          stepNumber: {
            color: "#131b26"
          },
          title: {
            color: "#131b26"
          },
          status: {
            background: "#e7e9fd",
            color: "#3c3fed"
          },
          description: {
            color: "#131b26"
          }
        },
        completed: {
          stepNumber: {
            color: "#131b26"
          },
          title: {
            color: "#131b26"
          },
          status: {
            background: "#e9faf2",
            color: "#23c275"
          },
          description: {
            color: "#131b26"
          }
        }
      },
      progressBar: {
        pending: {
          background: "#ededed"
        },
        progress: {
          background: "#e7e9fd",
          fill: "#3c3fed"
        },
        completed: {
          background: "#e9faf2",
          fill: "#23c275"
        }
      }
    },
    dark: {
      step: {
        pending: {
          background: "#1a1a1a",
          color: "#767676"
        },
        progress: {
          background: "#19b6fe",
          color: "#ffffff"
        },
        completed: {
          background: "#23c275",
          color: "#ffffff"
        }
      },
      content: {
        pending: {
          stepNumber: {
            color: "#767676"
          },
          title: {
            color: "#767676"
          },
          status: {
            background: "#1a1a1a",
            color: "#767676"
          },
          description: {
            color: "#767676"
          }
        },
        progress: {
          stepNumber: {
            color: "#ece4d9"
          },
          title: {
            color: "#ece4d9"
          },
          status: {
            background: "#08374c",
            color: "#19b6fe"
          },
          description: {
            color: "#ece4d9"
          }
        },
        completed: {
          stepNumber: {
            color: "#ece4d9"
          },
          title: {
            color: "#ece4d9"
          },
          status: {
            background: "#0b3a23",
            color: "#23c275"
          },
          description: {
            color: "#ece4d9"
          }
        }
      },
      progressBar: {
        pending: {
          background: "#1a1a1a"
        },
        progress: {
          background: "#08374c",
          fill: "#19b6fe"
        },
        completed: {
          background: "#0b3a23",
          fill: "#23c275"
        }
      }
    }
  }
};